package generators;

import java.util.Random;

/**
Grunnlag for data: http://miljopakken.no/om-miljoepakken/bomstasjoner
22100	-1300 (-6 %)	 0,2022 	0,437623762
5300	-3 000 (-36 %)	 0,0485 	0,104950495
8400	-4 600 (-35 %)	 0,0769 	0,166336634
12100	-10900 (-47 %)	 0,1107 	0,23960396
50500	+ 500 (+1 %)	 0,4620 	1
2000	-3 000 (-60 %)	 0,0183 	0,03960396
8900	- 4100 (-32 %)	 0,0814 	0,176237624
109300	-26400 (-19 %)	 1,0000 	
**/

public class PickTollPlazaGenerator {

	public static int pickTollPlaza(){
		double random = new Random().nextDouble();
		if(random < 0.039604){
			return TollPlazaEnum.LEIRFOSSEN.getValue();
		}
		else if(random < 0.10495){
			return TollPlazaEnum.KLETT_707.getValue();
		}
		else if(random < 0.166337){
			return TollPlazaEnum.BJRNDALEN.getValue();
		}
		else if(random < 0.176238){
			return TollPlazaEnum.VRE.getValue();
		}
		else if(random < 0.239604){
			return TollPlazaEnum.SLUPPEN.getValue();
		}
		else if(random < 0.437624){
			return TollPlazaEnum.KLETT_E6.getValue();
		}
		//Kroppan = 1
		else return TollPlazaEnum.KROPPAN_BRU.getValue();
		}
	}
