package generators;


public class TollPlaza {
	
	private String name;
	private String description;
	private double discount;
	private int price;
	private double heavyVehiclePriceFactor; 
	private int[] timeOfDayPriceFactor;
	private int enumId;
	
	public TollPlaza(String name, String description, int price, double discount, double heavyVehiclePriceFactor, int[] timeOfDayPriceFactor, int enumId){
		this.enumId = enumId;
		this.name = name;
		this.description = description;
		this.discount = discount;
		this.heavyVehiclePriceFactor = heavyVehiclePriceFactor;
		this.timeOfDayPriceFactor = timeOfDayPriceFactor;
		this.price = price;
	}
	
	public int getEnumId() {
		return enumId;
	}

	public void setEnumId(int enumId) {
		this.enumId = enumId;
	}

	public String toString(){		
		return name + ": " + description;
		
	}

	public String getName() {
		return name;
	}

	public String getDescription() {
		return description;
	}

	public double getDiscount() {
		return discount;
	}

	public int getPrice() {
		return price;
	}

	public double getHeavyVehiclePriceFactor() {
		return heavyVehiclePriceFactor;
	}

	public int[] getTimeOfDayPriceFactor() {
		return timeOfDayPriceFactor;
	}
}
