package generators;

import java.util.ArrayList;

public class TollPlazaList {
	
	public static ArrayList<TollPlaza> plazas = new ArrayList<TollPlaza>();
	public static int[] miljopakkeTider = {1,1,1,1,1,1,1,2,2,1,1,1,1,1,1,2,2,1,1,1,1,1,1,1};
	public static int[] standardTider   = {1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1};
	
	public TollPlazaList(){
		//String name, String description, int price, double discount, double heavyVehiclePriceFactor, int[] timeOfDayPriceFactor
			addTollPlaza(new TollPlaza("Klett 707", "Klett fv 707", 10, 0.2, 2, miljopakkeTider, TollPlazaEnum.KLETT_707.getValue()));
			addTollPlaza(new TollPlaza("Klett E6", "Klett E6", 10, 0.2, 2, miljopakkeTider, TollPlazaEnum.KLETT_E6.getValue()));
			addTollPlaza(new TollPlaza("Leirfossen", "Leirfossen", 10, 0.2, 2, miljopakkeTider, TollPlazaEnum.LEIRFOSSEN.getValue()));
			addTollPlaza(new TollPlaza("Bjrndalen", "Bjrndalen", 10, 0.2, 2, miljopakkeTider, TollPlazaEnum.BJRNDALEN.getValue()));
			addTollPlaza(new TollPlaza("Sluppen Bru", "Sluppen Bru", 10, 0.2, 2, miljopakkeTider, TollPlazaEnum.SLUPPEN.getValue()));
			addTollPlaza(new TollPlaza("Kroppan Bru", "Kroppan Bru", 5, 0, 2, standardTider, TollPlazaEnum.KROPPAN_BRU.getValue()));
			addTollPlaza(new TollPlaza("Vre", "Vre", 10, 0.2, 2, miljopakkeTider, TollPlazaEnum.VRE.getValue()));
	}
	public void addTollPlaza(TollPlaza tollPlaza){
		plazas.add(tollPlaza);
	}
	
	public ArrayList<TollPlaza> getTollPlazas(){
		return plazas;
	}
	
	public TollPlaza getTollPlazaByEnumId(int id){
		for (int i = 0; i < plazas.size(); i++) {
			if(plazas.get(i).getEnumId() == id) {
				return plazas.get(i);
			}
		}
		System.out.println("not found");
		return null;
	}
}
