package sql;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;

public class LogLine {
	
	int id;
	String name;
	String licenceplate;
	long timestamp;
	double price;
	boolean hasTag;
	boolean OCRSuccess;
	
	ArrayList<LogLine> array = new ArrayList<LogLine>();
	
	
	public LogLine() {
		super();
	}
	
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLicenceplate() {
		return licenceplate;
	}

	public void setLicenceplate(String licenceplate) {
		this.licenceplate = licenceplate;
	}

	public long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public boolean isHasTag() {
		return hasTag;
	}

	public void setHasTag(boolean hasTag) {
		this.hasTag = hasTag;
	}

	public boolean isOCRSuccess() {
		return OCRSuccess;
	}

	public void setOCRSuccess(boolean oCRSuccess) {
		OCRSuccess = oCRSuccess;
	}



	public void getData(){
		Connection con = SqlConnection.connect();
		try {
			ResultSet rs = SqlConnection.issueQuery("SELECT * FROM AutoPASS", con);
			int i= 0;
			while(rs.next()){
				LogLine l = new LogLine();
				l.setId(rs.getInt(1));
				l.setName(rs.getString(2));
				l.setLicenceplate(rs.getString(3));
				l.setTimestamp(rs.getLong(4));
				l.setPrice(rs.getDouble(5));
				l.setHasTag(rs.getBoolean(6));
				l.setOCRSuccess(rs.getBoolean(7));
				if(i % 1000000 == 0){
					System.out.println(i);
				}
				i++;
				array.add(this);
				l=null;
			}
			rs.close();
			con.close();
			
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	public void print(){
		for (int i = 0; i < array.size(); i++) {
			System.out.println(array.get(i).getId() + ";"+ array.get(i).getName() + "" + array.get(i).getTimestamp());
		}
	}
	
	public static void main(String[] args) {
		LogLine l = new LogLine();
		l.getData();
		l.print();
	}
	

}
