package sql;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class SqlConnection {


	public static final String DRIVER = "com.mysql.jdbc.Driver";
	public static final String DATABASE_URL = "jdbc:mysql://mysql.stud.ntnu.no/perkrifj_masterdb?dontTrackOpenResources=true";
//	public static final String DATABASE_URL = "jdbc:mysql://129.241.208.224:3306/masterdb?dontTrackOpenResources=true";

	public static Connection connect(){
		// This will load the MySQL driver, each DB has its own driver
		Connection con = null;
			try {
				try {
					
					Class.forName("com.mysql.jdbc.Driver").newInstance();
				} catch (InstantiationException | IllegalAccessException e) {
					e.printStackTrace();
				}
//				con = DriverManager.getConnection(DATABASE_URL, "master_user", "pettsoperkrifj");
				con = DriverManager.getConnection(DATABASE_URL, "perkrifj_master", "pettsoperkrifj");
			} catch (ClassNotFoundException e) {
				e.printStackTrace();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		return con;
	}

	public static void close(Connection con) throws SQLException{
		con.close();
	}
	
	public static ResultSet issueQueryWithoutClosing(String query, Connection con) throws SQLException{
		
		Statement stmt = con.createStatement(java.sql.ResultSet.TYPE_FORWARD_ONLY, java.sql.ResultSet.CONCUR_READ_ONLY);
		stmt.setFetchSize(Integer.MIN_VALUE);
		
		ResultSet rs = stmt.executeQuery(query);
		return rs;
	}

	/**
	 * 
	 * This method accesses the database and returns a ResultSet with the data from the query
	 * 
	 * @param query
	 * @param con
	 * @return ResultSet
	 * @throws SQLException
	 */
	public static ResultSet issueQuery(String query, Connection con) throws SQLException{
		Statement stmt = con.createStatement();
		ResultSet rs = stmt.executeQuery(query);
		con.close();
		return rs;
	}

	public static void main(String[] args) throws ClassNotFoundException {
		try {
			Connection con = connect();
			ResultSet rs = issueQuery("SELECT * FROM AutoPASS", con);
			while(rs.next()){
				System.out.println(rs.getString(1));
				System.out.println(rs.getString(2));
				System.out.println(rs.getString(3));
			}
			con.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
}
